Bug 825996 - Changing the
Changing the
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: io-threads (Show other bugs)
3.2.6
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra G
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 06:00 EDT by Sabyasachi Ruj
Modified: 2012-07-11 07:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 07:04:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glusterfsdump created using kill -USR1 (24.54 KB, application/octet-stream)
2012-05-29 06:01 EDT, Sabyasachi Ruj
no flags Details

  None (edit)
Description Sabyasachi Ruj 2012-05-29 06:00:45 EDT
Description of problem:

Here is my volume configuration:

  # gluster volume info testvol
 
  Volume Name: testvol
  Type: Distribute
  Status: Started
  Number of Bricks: 1
  Transport-type: tcp
  Bricks:
  Brick1: server1:/bricks/0001
  Options Reconfigured:
  performance.io-thread-count: 1
  performance.flush-behind: off
  performance.quick-read: off

Now, when I am doing file operations, I can see two glusterfsd threads are writing to the brick. First I found out this using `top -p $(pgrep glusterfsd) -H`, there it was clear that two thread were consuming CPU. Then I performed strace on those threads. I could see both of these threads were doing IO.


Version-Release number of selected component (if applicable):

glusterfs 3.2.6 built on May 16 2012 13:20:35
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.



How reproducible:

Steps to Reproduce:
1. Create the above volume configuration.
2. Mount that volume and do IO.
  
Actual results:


Expected results:


Additional info:

I have attached
Comment 1 Sabyasachi Ruj 2012-05-29 06:01:51 EDT
Created attachment 587374 [details]
glusterfsdump created using kill -USR1
Comment 2 Sabyasachi Ruj 2012-05-29 07:14:23 EDT
Hey Sorry. I guess I am mixing it up. One thread is doing I guess the network i/o and the other process is actually handling disk/io.

If this is the case, this bug is invalid. Let me confirm once.
Comment 3 Amar Tumballi 2012-07-11 07:04:51 EDT
when you say 'io-thread-count 1', that means one extra thread will be created other than the main thread which is polling on network.

Note You need to log in before you can comment on or make changes to this bug.